# $Revision: 1.17 $, $Date: 2009/09/17 07:56:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Thread
Summary:	Mail::Thread - Perl implementation of JWZ's mail threading algorithm
Summary(pl.UTF-8):	Mail::Thread - perlowa implementacja algorytmu wątkowania poczty JWZ
Name:		perl-Mail-Thread
Version:	2.55
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3b30d3087e30462cb6391797ee885f0e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Mail::Internet)
BuildRequires:	perl-Email-Abstract
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements something relatively close to Jamie Zawinski's
mail threading algorithm, as described by
http://www.jwz.org/doc/threading.html. Any deviations from the
algorithm are accidental.

%description -l pl.UTF-8
Ten moduł jest implementacją czegoś w miarę bliskiego do algorytmu
wątkowania poczty autorstwa Jamie Zawinskiego, opisanego w
http://www.jwz.org/doc/threading.html. Wszelkie odchylenia od
algorytmu są przypadkowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Mail/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Thread.spec,v $
Revision 1.17  2009/09/17 07:56:24  amateja
- updated to 2.55

Revision 1.16  2008/07/27 22:41:49  arekm
- release 3

Revision 1.15  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.13  2006/08/25 20:42:50  radek
- BR: perl-Email-Abstract for tests

Revision 1.12  2006/01/09 18:01:30  qboosh
- unified (grepable files)

Revision 1.11  2004/12/09 17:07:24  radek
- epoch 1

Revision 1.10  2004/12/09 17:04:49  radek
- version 2.5

Revision 1.9  2004/11/03 22:30:32  paladine
- formatting

Revision 1.8  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.7  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.5  2003/12/29 19:09:56  migo
- up to 2.41, new bcond style

Revision 1.4  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 19:52:31  qboosh
- pl

Revision 1.1  2003/07/25 22:38:00  radek
- new
